<?php
namespace nur;

/**
 * Class num: méthodes utilitaires pour gérer des nombres
 */
class num {
  /** Formatter la valeur spécifiée avec son unité en octets */
  static final function format_size(float $size): string {
    if ($size <= 1) return "$size octet";
    elseif ($size < 1024) return "$size octets";
    $size /= 1024;
    if ($size < 1024) return sprintf("%.02f Ko", $size);
    $size /= 1024;
    if ($size < 1024) return sprintf("%.02f Mo", $size);
    $size /= 1024;
    if ($size < 1024) return sprintf("%.02f Go", $size);
    $size /= 1024;
    return sprintf("%.02f To", $size);
  }
}
